//// CHILL OVERRIDE DEFAULT BOOTSTRAP COLORS MAP

// 'beige' variations
$beige-100: tint-color($beige, 80%);
$beige-200: tint-color($beige, 60%);
$beige-300: tint-color($beige, 40%);
$beige-400: tint-color($beige, 20%);
$beige-500: $beige;
$beige-600: shade-color($beige, 20%);
$beige-700: shade-color($beige, 40%);
$beige-800: shade-color($beige, 60%);
$beige-900: shade-color($beige, 80%);

$chill-blue:         $blue;
$chill-green:        $green;
$chill-green-dark:   $green-600;
$chill-orange:       $orange;
$chill-yellow:       $yellow;
$chill-red:          $red;
$chill-beige:        $beige;
$chill-pink:         $pink;
$chill-dark-gray:    $gray-800;
$chill-gray:         $gray-600;
$chill-l-gray:       $gray-400;
$chill-ll-gray:      $gray-300;
$chill-light-gray:   $gray-200;
$chill-llight-gray:  $gray-100;

$colors: (
    "blue":       $blue,
    "green":      $green,
    "green-dark": $green-600,
    "yellow":     $yellow,
    "orange":     $orange,
    "red":        $red,
    "pink":       $pink,
    "beige":      $beige,
    "white":      $white,
    "gray":       $gray-600,
    "dark":       $gray-800,
    "black":      $black
);

$chill-colors: (
    "chill-blue":         $chill-blue,
    "chill-green":        $chill-green,
    "chill-green-dark":   $chill-green-dark,
    "chill-orange":       $chill-orange,
    "chill-yellow":       $chill-yellow,
    "chill-red":          $chill-red,
    "chill-beige":        $chill-beige,
    "chill-pink":         $chill-pink,
    "chill-dark-gray":    $chill-dark-gray,
    "chill-gray":         $chill-gray,
    "chill-l-gray":       $chill-l-gray,
    "chill-ll-gray":      $chill-ll-gray,
    "chill-light-gray":   $chill-light-gray,
    "chill-llight-gray":  $chill-llight-gray,
);

// Merge the maps
$theme-colors: map-merge($theme-colors, $chill-colors);

// Chill color classes
@each $color, $value in $chill-colors {
    .#{$color} {
        color: $value;
    }
}